volumes:
  casino-db-data:

services:
  db:
    image: postgres:17.4
    container_name: casino-db
    restart: unless-stopped
    volumes:
      - casino-db-data:/var/lib/postgresql/data
    environment:
      POSTGRES_DB: postgresdb
      POSTGRES_USER: postgres_user
      POSTGRES_PASSWORD: postgres_pass
    healthcheck:
      test: "exit 0"
    ports:
      - "5432:5432"